use [test1_AlplaPROD2.0_Read]

SELECT deliveryAddress.humanreadableid as deliveryAddress
,invoice.HumanReadableId as invoiceAddress
,[Default]

  FROM [masterData].[InvoiceAddress] (nolock) as d

  join
  [masterData].[Address] deliveryAddress (nolock) on deliveryAddress.id = d.AddressId

  join 
  [masterData].[Address] invoice (nolock) on invoice.id = d.InvoiceAddressId

 where [Default] = 1